package DB;
final public class DataRowsHolder
	implements org.omg.CORBA.portable.Streamable
{
	public DB.ColumnData[][] value;

	public DataRowsHolder ()
	{
	}
	public DataRowsHolder (DB.ColumnData[][] initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return DataRowsHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = DataRowsHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		DataRowsHelper.write(out,value);
	}
}
